package com.ruoyi.project.base.service;

import java.util.List;
import com.ruoyi.project.base.domain.TBaseRegion;

/**
 * 区域Service接口
 *
 * @author ruoyi
 * @date 2022-11-14
 */
public interface ITBaseRegionService
{
    /**
     * 查询区域
     *
     * @param id 区域主键
     * @return 区域
     */
    public TBaseRegion selectTBaseRegionById(Long id);
    public TBaseRegion selectTBaseRegionByName(String name,Long plantId);

    /**
     * 查询区域列表
     *
     * @param tBaseRegion 区域
     * @return 区域集合
     */
    public List<TBaseRegion> selectTBaseRegionList(TBaseRegion tBaseRegion);
    public List<TBaseRegion> selectAllRegionByPlantId(Long plantId);

    /**
     * 新增区域
     *
     * @param tBaseRegion 区域
     * @return 结果
     */
    public int insertTBaseRegion(TBaseRegion tBaseRegion);

    /**
     * 修改区域
     *
     * @param tBaseRegion 区域
     * @return 结果
     */
    public int updateTBaseRegion(TBaseRegion tBaseRegion);
    public int updateTBaseRegionByRegionIds(TBaseRegion tBaseRegion);

    /**
     * 批量删除区域
     *
     * @param ids 需要删除的区域主键集合
     * @return 结果
     */
    public int deleteTBaseRegionByIds(Long[] ids);

    /**
     * 删除区域信息
     *
     * @param id 区域主键
     * @return 结果
     */
    public int deleteTBaseRegionById(Long id);
}
